=== debian/changelog ===
imx-lib (5.1.0sendai3) jaunty; urgency=low

  * Included some header file for the build request

 -- Jason Yen <jason.yen@canonical.com>  Tue, 30 Mar 2010 17:07:22 +0800

imx-lib (5.1.0sendai2) jaunty; urgency=low

  * Modify the debian/rules for the build dependency issue

 -- Jason Yen <jason.yen@canonical.com>  Mon, 29 Mar 2010 10:20:58 +0800

imx-lib (5.1.0sendai1) jaunty; urgency=low

  * Re-package freescale imx-lib 5.1.0 for sendai project

 -- Jason Yen <jason.yen@canonical.com>  Mon, 29 Mar 2010 09:44:18 +0800
