=== debian/control ===
Source: imx-lib
Priority: extra
Maintainer: Herring Robert <ra7055@freescale.com>
Build-Depends: debhelper (>= 7), cdbs, linux-headers-sendai
Standards-Version: 3.8.0
Section: libs
Homepage: http://www.freescale.com

Package: imx-lib
Architecture: armel
Description: platform specific libraries for imx platform
