=== vpu/Makefile ===
--- 
+++ 
@@ -2,12 +2,11 @@
 AR=$(CROSS_COMPILE)ar
 
 # list of platforms which want this test case
-INCLUDE_LIST:= IMX27ADS IMX31ADS IMX32ADS IMX37_3STACK IMX51_3STACK IMX51
+INCLUDE_LIST:= IMX27ADS IMX31ADS IMX32ADS IMX37_3STACK IMX51 IMX53
 
 OBJ = vpu_io.o vpu_util.o vpu_lib.o
 
 LIBNAME = libvpu
-BINPREFIX = vpu_fw_
 
 ifeq ($(PLATFORM), $(findstring $(PLATFORM), $(INCLUDE_LIST)))
 
@@ -20,15 +19,18 @@
 PLATFORM_STR = $(PLATFORM)
 endif
 
+ifeq ($(findstring IMX5, $(PLATFORM)), IMX5)
+VERSION = imx5
+else
 VERSION = $(shell echo $(PLATFORM_STR) | awk '{print substr($$0, 1, 5)}' \
 	| awk '{print  tolower($$0) }' )
+endif
 
 all: $(LIBNAME).so $(LIBNAME).a
 
 install: install_headers
 	@mkdir -p $(DEST_DIR)/usr/lib
 	cp $(LIBNAME).* $(DEST_DIR)/usr/lib
-	cp vpu_fw/$(BINPREFIX)$(VERSION)*.bin $(DEST_DIR)/usr/lib
 
 install_headers:
 	@mkdir -p $(DEST_DIR)/usr/include
@@ -39,7 +41,7 @@
 endif
 
 %.o: %.c
-	$(CC) -D$(PLATFORM) -Wall -O2 -c $^ -o $@
+	$(CC) -D$(PLATFORM) -Wall -O2 -fPIC -c $^ -o $@
 
 $(LIBNAME).so: $(OBJ)
 	$(CC) -shared -nostartfiles -Wl,-soname,$@ $^ -o $@
